Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87767 - kupdated takes 100%cpu
Summary: kupdated takes 100%cpu
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-02 08:44 UTC by Mark van Rossum
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-02 21:03:50 UTC


Attachments (Terms of Use)

Description Mark van Rossum 2003-04-02 08:44:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
In RH 9.0 kupdated takes 100% CPU time even without any load on the system.

This is RH9 upgraded from 8.0


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.just boot and do top

2.
3.
    

Additional info:

Some googling suggests something wrong with the IDE driver.

THis is on a ibm t21 laptop with a pretty regular IDE drive.

I was not able to figure it out yet.

Comment 1 Alan Cox 2003-04-02 14:14:36 UTC
T21 is standard PIIX4 IDE, its as generic as it gets so I find that unlikely.
Please give specific details on why you think that. 


Comment 2 Mark van Rossum 2003-04-02 14:19:21 UTC
This bug does not seem to involve an unsupported IDE chipset reported
in older newsgroup messages,
as hdparm -t /dev/hda 
returns normal values.

Quick fix: 
Go back to older kernel
rpm -ivh --oldpackage kernel-2.4.18-27.8.0.i686.rpm


Comment 3 Mark van Rossum 2003-04-02 14:28:10 UTC
More info:
- nothing on this in /var/log/messages
- hda uses DMA mode

Things that did not help:
- removing CDROM drive
- rmmod lvm-mod
- /etc/rc.d/init.d/noflushd stop 
(This is a program to disable frequent flushes on laptops)


/dev/hda:
 
 Model=IBM-DJSA-232, FwRev=JS8IAD2A, SerialNo=48YBWLG7103
 Config={ HardSect NotMFM HdSw>15uSec Fixed DTR>10Mbs }
 RawCHS=16383/15/63, TrkSize=0, SectSize=0, ECCbytes=4
 BuffType=DualPortCache, BuffSize=1874kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/15/63, CurSects=15481935, LBA=yes, LBAsects=62506080
 IORDY=on/off, tPIO={min:240,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes:  pio0 pio1 pio2 pio3 pio4
 DMA modes:  mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 *udma2 udma3 udma4
 AdvancedPM=yes: mode=0x9F (159) WriteCache=enabled
 Drive conforms to: ATA/ATAPI-5 T13 1321D revision 1:  2 3 4 5

lspci
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge 
(rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge 
(rev 03)
00:02.0 CardBus bridge: Texas Instruments PCI1450 (rev 03)
00:02.1 CardBus bridge: Texas Instruments PCI1450 (rev 03)
00:03.0 Ethernet controller: 3Com Corporation 3c556B Hurricane CardBus 
(rev 20)
00:03.1 Communication controller: 3Com Corporation Mini PCI 56k Winmodem 
(rev 20)
00:05.0 Multimedia audio controller: Cirrus Logic CS 4614/22/24 
[CrystalClear SoundFusion Audio Accelerator] (rev 01)
00:07.0 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
01:00.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/IX-MV (rev 
13)


Comment 4 Mark van Rossum 2003-04-02 21:03:50 UTC
After some more changes and reboot, the behaviour is now normal.

I'm not sure what did the trick:
- removed 'powertweak' from system
- removed oprofile package
- removed 'noflushd' from system



Note You need to log in before you can comment on or make changes to this bug.